## ucspi-proxy 0.95

=== Makefile ===
PACKAGE = ucspi-proxy
VERSION = 0.95

CC = gcc
CFLAGS = -O -g -W -Wall

LD = $(CC)
LDFLAGS = -g
LIBS =

prefix = /usr
install_prefix =
bindir = $(install_prefix)$(prefix)/bin
mandir = $(install_prefix)$(prefix)/man
man1dir = $(mandir)/man1

install = /usr/bin/install

PROGS = ucspi-proxy ucspi-proxy-log \
	ucspi-proxy-pop3-relay \
	ucspi-proxy-imap-relay \
	ucspi-proxy-http-xlate
	# ucspi-proxy-ftp
SCRIPTS = tcp-proxy log-proxy \
	pop3-relay-proxy imap-relay-proxy
	# ftp-proxy
MAN1S	= ucspi-proxy-http-xlate.1 ucspi-proxy.1

all: $(PROGS)

base64.o: base64.c
ftp-filter.o: ftp-filter.c ucspi-proxy.h
http-xlate-filter.o: http-xlate-filter.c ucspi-proxy.h
imap-relay-filter.o: imap-relay-filter.c ucspi-proxy.h
log-filter.o: log-filter.c ucspi-proxy.h
null-filter.o: null-filter.c ucspi-proxy.h
pop3-relay-filter.o: pop3-relay-filter.c ucspi-proxy.h
relay-filter.o: relay-filter.c ucspi-proxy.h
ucspi-proxy.o: ucspi-proxy.c ucspi-proxy.h

ucspi-proxy: ucspi-proxy.o null-filter.o
	$(LD) $(LDFLAGS) -o $@ ucspi-proxy.o null-filter.o $(LIBS)

ucspi-proxy-ftp: ucspi-proxy.o ftp-filter.o
	$(LD) $(LDFLAGS) -o $@ ucspi-proxy.o ftp-filter.o $(LIBS)

ucspi-proxy-log: ucspi-proxy.o log-filter.o
	$(LD) $(LDFLAGS) -o $@ ucspi-proxy.o log-filter.o $(LIBS)

ucspi-proxy-pop3-relay: ucspi-proxy.o pop3-relay-filter.o \
	relay-filter.o base64.o
	$(LD) $(LDFLAGS) -o $@ ucspi-proxy.o pop3-relay-filter.o \
		relay-filter.o base64.o $(LIBS)

ucspi-proxy-imap-relay: ucspi-proxy.o imap-relay-filter.o \
	relay-filter.o base64.o
	$(LD) $(LDFLAGS) -o $@ ucspi-proxy.o imap-relay-filter.o \
		relay-filter.o base64.o $(LIBS)

ucspi-proxy-http-xlate: ucspi-proxy.o http-xlate-filter.o relay-filter.o
	$(LD) $(LDFLAGS) -o $@ ucspi-proxy.o http-xlate-filter.o $(LIBS)

install: $(PROGS) $(MAN1S)
	$(install) -d $(bindir)
	$(install) -m 755 $(PROGS) $(SCRIPTS) $(bindir)

	$(install) -d $(man1dir)
	$(install) -m 644 $(MAN1S) $(man1dir)

clean:
	$(RM) *.o $(PROGS)

## ucspi-proxy 0.96

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: libraries programs docs

base64.o: compile base64.c
	./compile base64.c

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc conf-bgincs
	( bgincs=`head -n 1 conf-bgincs`; \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

docs: ucspi-proxy-http-xlate.1.html ucspi-proxy.1.html

http-xlate-filter.o: compile http-xlate-filter.c ucspi-proxy.h
	./compile http-xlate-filter.c

imap-filter.o: compile imap-filter.c ucspi-proxy.h
	./compile imap-filter.c

install: INSTHIER conf-bin conf-man
	bg-installer -v <INSTHIER
	bg-installer -c <INSTHIER

libraries: ucspi-proxy.a

load: conf-ld conf-bglibs
	( bglibs=`head -n 1 conf-bglibs`; \
	  echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
	) >load
	chmod 755 load

log-filter.o: compile log-filter.c ucspi-proxy.h
	./compile log-filter.c

makelib: 
	( echo '#!/bin/sh'; \
	  echo 'main="$$1"; shift';\
	  echo 'rm -f "$$main"';\
	  echo 'ar cr "$$main" $${1+"$$@"}';\
	  echo 'ranlib "$$main"';\
	) >makelib
	chmod 755 makelib

null-filter.o: compile null-filter.c ucspi-proxy.h
	./compile null-filter.c

pop3-filter.o: compile pop3-filter.c ucspi-proxy.h
	./compile pop3-filter.c

programs: ucspi-proxy-http-xlate ucspi-proxy-log ucspi-proxy-imap ucspi-proxy-pop3 ucspi-proxy

relay-filter.o: compile relay-filter.c ucspi-proxy.h
	./compile relay-filter.c

tcp-connect.o: compile tcp-connect.c ucspi-proxy.h
	./compile tcp-connect.c

ucspi-proxy: load ucspi-proxy.o null-filter.o ucspi-proxy.a
	./load ucspi-proxy null-filter.o ucspi-proxy.a -lbg 

ucspi-proxy-http-xlate: load ucspi-proxy-http-xlate.o http-xlate-filter.o ucspi-proxy.a
	./load ucspi-proxy-http-xlate http-xlate-filter.o ucspi-proxy.a -lbg 

ucspi-proxy-http-xlate.1.html: ucspi-proxy-http-xlate.1
	man2html ucspi-proxy-http-xlate.1 >ucspi-proxy-http-xlate.1.html

ucspi-proxy-http-xlate.o: compile ucspi-proxy-http-xlate.c ucspi-proxy.h
	./compile ucspi-proxy-http-xlate.c

ucspi-proxy-imap: load ucspi-proxy-imap.o imap-filter.o base64.o relay-filter.o ucspi-proxy.a
	./load ucspi-proxy-imap imap-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 

ucspi-proxy-imap.o: compile ucspi-proxy-imap.c ucspi-proxy.h
	./compile ucspi-proxy-imap.c

ucspi-proxy-log: load ucspi-proxy-log.o log-filter.o ucspi-proxy.a
	./load ucspi-proxy-log log-filter.o ucspi-proxy.a -lbg 

ucspi-proxy-log.o: compile ucspi-proxy-log.c ucspi-proxy.h
	./compile ucspi-proxy-log.c

ucspi-proxy-pop3: load ucspi-proxy-pop3.o pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
	./load ucspi-proxy-pop3 pop3-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 

ucspi-proxy-pop3.o: compile ucspi-proxy-pop3.c ucspi-proxy.h
	./compile ucspi-proxy-pop3.c

ucspi-proxy.1.html: ucspi-proxy.1
	man2html ucspi-proxy.1 >ucspi-proxy.1.html

ucspi-proxy.a: makelib ucspi-proxy.o tcp-connect.o
	./makelib ucspi-proxy.a ucspi-proxy.o tcp-connect.o

ucspi-proxy.o: compile ucspi-proxy.c ucspi-proxy.h
	./compile ucspi-proxy.c

## ucspi-proxy 0.97

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	( bglibs=`head -n 1 conf-bglibs`; \
 	  echo '#!/bin/sh';\
 	  echo 'main="$$1"; shift';\
-	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
+	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
 	) >load
 	chmod 755 load
 
@@ -66,7 +66,7 @@
 pop3-filter.o: compile pop3-filter.c ucspi-proxy.h
 	./compile pop3-filter.c
 
-programs: ucspi-proxy-http-xlate ucspi-proxy-log ucspi-proxy-imap ucspi-proxy-pop3 ucspi-proxy
+programs: ucspi-proxy-imap ucspi-proxy-log ucspi-proxy-pop3 ucspi-proxy ucspi-proxy-http-xlate
 
 relay-filter.o: compile relay-filter.c ucspi-proxy.h
 	./compile relay-filter.c
@@ -74,10 +74,10 @@
 tcp-connect.o: compile tcp-connect.c ucspi-proxy.h
 	./compile tcp-connect.c
 
-ucspi-proxy: load ucspi-proxy.o null-filter.o ucspi-proxy.a
+ucspi-proxy: ucspi-proxy.o load null-filter.o ucspi-proxy.a
 	./load ucspi-proxy null-filter.o ucspi-proxy.a -lbg 
 
-ucspi-proxy-http-xlate: load ucspi-proxy-http-xlate.o http-xlate-filter.o ucspi-proxy.a
+ucspi-proxy-http-xlate: ucspi-proxy-http-xlate.o load http-xlate-filter.o ucspi-proxy.a
 	./load ucspi-proxy-http-xlate http-xlate-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-http-xlate.1.html: ucspi-proxy-http-xlate.1
@@ -86,19 +86,19 @@
 ucspi-proxy-http-xlate.o: compile ucspi-proxy-http-xlate.c ucspi-proxy.h
 	./compile ucspi-proxy-http-xlate.c
 
-ucspi-proxy-imap: load ucspi-proxy-imap.o imap-filter.o base64.o relay-filter.o ucspi-proxy.a
+ucspi-proxy-imap: ucspi-proxy-imap.o load imap-filter.o base64.o relay-filter.o ucspi-proxy.a
 	./load ucspi-proxy-imap imap-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-imap.o: compile ucspi-proxy-imap.c ucspi-proxy.h
 	./compile ucspi-proxy-imap.c
 
-ucspi-proxy-log: load ucspi-proxy-log.o log-filter.o ucspi-proxy.a
+ucspi-proxy-log: ucspi-proxy-log.o load log-filter.o ucspi-proxy.a
 	./load ucspi-proxy-log log-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-log.o: compile ucspi-proxy-log.c ucspi-proxy.h
 	./compile ucspi-proxy-log.c
 
-ucspi-proxy-pop3: load ucspi-proxy-pop3.o pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
+ucspi-proxy-pop3: ucspi-proxy-pop3.o load pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
 	./load ucspi-proxy-pop3 pop3-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-pop3.o: compile ucspi-proxy-pop3.c ucspi-proxy.h

## ucspi-proxy 0.98

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 all: libraries programs docs
 
-base64.o: compile base64.c
+auth-lib.o: compile auth-lib.c auth-lib.h ucspi-proxy.h
+	./compile auth-lib.c
+
+base64.o: compile base64.c ucspi-proxy.h
 	./compile base64.c
 
 clean: TARGETS
@@ -26,12 +29,12 @@
 	) >compile
 	chmod 755 compile
 
-docs: ucspi-proxy-http-xlate.1.html ucspi-proxy.1.html
+docs: ucspi-proxy.1.html ucspi-proxy-http-xlate.1.html
 
 http-xlate-filter.o: compile http-xlate-filter.c ucspi-proxy.h
 	./compile http-xlate-filter.c
 
-imap-filter.o: compile imap-filter.c ucspi-proxy.h
+imap-filter.o: compile imap-filter.c auth-lib.h ucspi-proxy.h
 	./compile imap-filter.c
 
 install: INSTHIER conf-bin conf-man
@@ -53,20 +56,20 @@
 
 makelib: 
 	( echo '#!/bin/sh'; \
-	  echo 'main="$$1"; shift';\
-	  echo 'rm -f "$$main"';\
-	  echo 'ar cr "$$main" $${1+"$$@"}';\
-	  echo 'ranlib "$$main"';\
+	  echo 'lib="$$1"; shift';\
+	  echo 'rm -f "$$lib"';\
+	  echo 'ar cr "$$lib" $${1+"$$@"}';\
+	  echo 'ranlib "$$lib"';\
 	) >makelib
 	chmod 755 makelib
 
 null-filter.o: compile null-filter.c ucspi-proxy.h
 	./compile null-filter.c
 
-pop3-filter.o: compile pop3-filter.c ucspi-proxy.h
+pop3-filter.o: compile pop3-filter.c auth-lib.h ucspi-proxy.h
 	./compile pop3-filter.c
 
-programs: ucspi-proxy-imap ucspi-proxy-log ucspi-proxy-pop3 ucspi-proxy ucspi-proxy-http-xlate
+programs: ucspi-proxy-log ucspi-proxy-http-xlate ucspi-proxy-pop3 ucspi-proxy-imap ucspi-proxy
 
 relay-filter.o: compile relay-filter.c ucspi-proxy.h
 	./compile relay-filter.c
@@ -86,8 +89,8 @@
 ucspi-proxy-http-xlate.o: compile ucspi-proxy-http-xlate.c ucspi-proxy.h
 	./compile ucspi-proxy-http-xlate.c
 
-ucspi-proxy-imap: ucspi-proxy-imap.o load imap-filter.o base64.o relay-filter.o ucspi-proxy.a
-	./load ucspi-proxy-imap imap-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
+ucspi-proxy-imap: ucspi-proxy-imap.o load imap-filter.o relay-filter.o auth-lib.o ucspi-proxy.a
+	./load ucspi-proxy-imap imap-filter.o relay-filter.o auth-lib.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-imap.o: compile ucspi-proxy-imap.c ucspi-proxy.h
 	./compile ucspi-proxy-imap.c
@@ -98,8 +101,8 @@
 ucspi-proxy-log.o: compile ucspi-proxy-log.c ucspi-proxy.h
 	./compile ucspi-proxy-log.c
 
-ucspi-proxy-pop3: ucspi-proxy-pop3.o load pop3-filter.o base64.o relay-filter.o ucspi-proxy.a
-	./load ucspi-proxy-pop3 pop3-filter.o base64.o relay-filter.o ucspi-proxy.a -lbg 
+ucspi-proxy-pop3: ucspi-proxy-pop3.o load pop3-filter.o relay-filter.o auth-lib.o ucspi-proxy.a
+	./load ucspi-proxy-pop3 pop3-filter.o relay-filter.o auth-lib.o ucspi-proxy.a -lbg 
 
 ucspi-proxy-pop3.o: compile ucspi-proxy-pop3.c ucspi-proxy.h
 	./compile ucspi-proxy-pop3.c
@@ -107,8 +110,8 @@
 ucspi-proxy.1.html: ucspi-proxy.1
 	man2html ucspi-proxy.1 >ucspi-proxy.1.html
 
-ucspi-proxy.a: makelib ucspi-proxy.o tcp-connect.o
-	./makelib ucspi-proxy.a ucspi-proxy.o tcp-connect.o
+ucspi-proxy.a: makelib base64.o tcp-connect.o ucspi-proxy.o
+	./makelib ucspi-proxy.a base64.o tcp-connect.o ucspi-proxy.o
 
 ucspi-proxy.o: compile ucspi-proxy.c ucspi-proxy.h
 	./compile ucspi-proxy.c

## ucspi-proxy 0.99

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 pop3-filter.o: compile pop3-filter.c auth-lib.h ucspi-proxy.h
 	./compile pop3-filter.c
 
-programs: ucspi-proxy-log ucspi-proxy-http-xlate ucspi-proxy-pop3 ucspi-proxy-imap ucspi-proxy
+programs: ucspi-proxy-pop3 ucspi-proxy-http-xlate ucspi-proxy ucspi-proxy-log ucspi-proxy-imap
 
 relay-filter.o: compile relay-filter.c ucspi-proxy.h
 	./compile relay-filter.c

=== debian/changelog ===
ucspi-proxy (0.99-8) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC 15. (Closes: #1098025)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 21:00:37 +0300

ucspi-proxy (0.99-7) unstable; urgency=medium

  * QA upload.

  * Switched upstream references to HTTPS.
  * Converted d/copyright to machine readable format.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 30 Nov 2024 23:49:27 +0100

ucspi-proxy (0.99-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Drop homemade patch system, move all patches to d/patches/.
  * Enabled hardening build flags.
  * Adjusted build to print compiler flags.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 23 Nov 2024 09:58:34 +0100

ucspi-proxy (0.99-5) unstable; urgency=medium

  * QA upload.
  * Support building without (fake)root.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Nov 2024 09:13:30 +0000

ucspi-proxy (0.99-4) unstable; urgency=medium

  * QA Upload
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedding build
    path. (Closes: #1024125)
  * debian/rules: Pass "-n" argument to gzip to avoid embedding timestamp
    in manpages. (Closes: #1024125)
  * debian/rules: Set permissions on several directories before building
    package, to avoid differences due to build environment umask.
    (Closes: #1024125)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Fri, 01 Dec 2023 17:56:23 -0800

ucspi-proxy (0.99-3) unstable; urgency=medium

  * QA upload
  * Convert to 3.0 source format (Closes: #1007496)
  * d/watch: Scan upstream archive

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 13:59:03 +0100

ucspi-proxy (0.99-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #947705)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 07:57:15 -0300

ucspi-proxy (0.99-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Switch to unversioned libbg-dev dependency
  * Fix build with new libbg2
  * Make build reproducible (Closes: #777365)
    - thanks Chris Lamb for the patch
  * Drop bglibs defaulting to usr/lib, already in
    the default search path (Closes: #723553)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:05:43 +0100

ucspi-proxy (0.99-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.9.5.0.
  * debian/control: fix spelling error.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Aug 2014 14:58:28 +0000

ucspi-proxy (0.98-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/0001-INSTHIER-install-the-ucspi-proxy-program.diff:
    remove; applied upstream.
  * debian/copyright: refer to /usr/share/common-licenses/GPL-2.
  * debian/control: Standards-Version: 3.8.3.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 19 Nov 2009 21:54:31 +0000

ucspi-proxy (0.97-1) unstable; urgency=low

  * new upstream version.
  * debian/implicit: update to revision a09db2e.
  * debian/control: Build-Depends: libbg1-dev; Standards-Version:
    3.7.3.0.
  * debian/copyright: 2006.
  * debian/rules: adjust paths to bglibs; drop diet package for now.
  * debian/diff/0001-INSTHIER-install-the-ucspi-proxy-program.diff,
    debian/diff/0002-TARGETS-don-t-remove-.html.diff: redo
    INSTHIER.diff, TARGETS.diff with git.
  * debian/rules: apply patches with -p1, not -p0.
  * debian/rules: don't ignore error on make clean.
  * debian/diff/0003-Makefile-avoid-rpath.diff: new; avoid rpath.

 -- Gerrit Pape <pape@smarden.org>  Tue, 13 May 2008 20:44:00 +0000

ucspi-proxy (0.96-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.025-0);
    Standards-Version: 3.6.2.0.
  * debian/copyright: 2005.
  * debian/implicit: update to revision 1.10.
  * debian/rules: cleanup; adapt to new upstream version.
  * debian/ucspi-proxy.docs: add NEWS.
  * debian/diff/INSTHIER.diff: new; install the ucspi-proxy program.
  * debian/diff/TARGETS.diff: new; don't remove html files on make clean.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 10:11:57 +0000

ucspi-proxy (0.95-2) unstable; urgency=low

  * debian/control: no longer Build-Depends: debhelper; Standards-Version:
    3.6.1.0; update url in description.
  * debian/copyright: include explicit copyright statement; refer to
    common-licenses/GPL.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit rules.
  * debian/ucspi-proxy.docs: new.
  * debian/dirs, debian/docs, debian/undocumented: remove; obsolete.

 -- Gerrit Pape <pape@smarden.org>  Thu, 18 Dec 2003 13:27:54 +0000

ucspi-proxy (0.95-1) unstable; urgency=low

  * Initial Release (closes: #93151).

 -- Gerrit Pape <pape@smarden.org>  Sat, 19 Jan 2002 14:34:54 +0100

=== debian/control ===
Source: ucspi-proxy
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libbg-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://untroubled.org/ucspi-proxy/
Vcs-Browser: https://salsa.debian.org/debian/ucspi-proxy
Vcs-Git: https://salsa.debian.org/debian/ucspi-proxy.git

Package: ucspi-proxy
Architecture: any
Depends: ${shlibs:Depends},
Description: Connection proxy for UCSPI tools
 This package contains a proxy program that passes data back and forth
 between two connections set up by a UCSPI server and a UCSPI client.
 .
 See http://cr.yp.to/proto/ucspi.txt for more information on UCSPI.  See
 http://untroubled.org/ucspi-proxy/ for recent information.

=== debian/rules ===
#!/usr/bin/make -f

CC =gcc
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
CFLAGS := `dpkg-buildflags --get CFLAGS`
LDFLAGS := `dpkg-buildflags --get LDFLAGS`

STRIP =strip
BGINCS =/usr/include/bglibs

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: nostrip
endif

DIR =$(shell pwd)/debian/ucspi-proxy

configure: deb-checkdir configure-stamp
configure-stamp:
	for i in conf-*; do \
	  test -e $${i%'{orig}'}'{orig}' || cp -v $$i $$i'{orig}'; \
	done
	echo '/usr/bin' >conf-bin
	echo '$(BGINCS)' >conf-bgincs
	echo '$(CC) $${CPPFLAGS} $${CFLAGS}' >conf-cc
	echo '$(CC) $${LDFLAGS}' >conf-ld
	echo '/usr/share/man' >conf-man
	touch configure-stamp

build: deb-checkdir build-stamp
build-stamp: configure-stamp
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch build-stamp

clean: deb-checkdir
	$(MAKE) clean
	for i in `ls *'{orig}' || :`; do mv -vf $$i $${i%'{orig}'}; done
	rm -f build-stamp configure-stamp
	rm -rf '$(DIR)'
	rm -f debian/files debian/substvars changelog

install: deb-checkdir build-stamp
	rm -rf '$(DIR)'
	$(MAKE) install install_prefix='$(DIR)'
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/bin/ucspi-proxy*
	gzip -9n '$(DIR)'/usr/share/man/man1/*.1
	chmod u=rwx,og=rx '$(DIR)' '$(DIR)/usr' '$(DIR)/usr/bin' '$(DIR)/usr/share' '$(DIR)/usr/share/man'
	test -r changelog || ln -s ChangeLog changelog

binary-indep:

binary-arch: deb-checkdir install ucspi-proxy.deb
	dpkg-shlibdeps '$(DIR)'/usr/bin/*
	dpkg-gencontrol -isp -pucspi-proxy -P'$(DIR)'
	dpkg-deb --root-owner-group -b '$(DIR)' ..

binary: binary-indep binary-arch

.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

=== debian/watch ===
version=4
https://untroubled.org/ucspi-proxy/archive/ ucspi-proxy-([\d\.]+).tar.gz
